//wxHatch CVS $Id: bitmenu.h,v 1.7 2004/03/20 09:36:16 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
#ifndef _bitmenu_h
#define _bitmenu_h

class TBitmapMenu
{
    public :

        TBitmapMenu (const wxString & s, const wxString &sAcc,
            const wxString & sHlp, const wxString & sLastMenuBarText, bool b, bool bIsNewPopup) ;
        TBitmapMenu (const wxString & sMenuName, const wxString & sLabel, bool bIsPopup) ;
        TBitmapMenu (const wxString & sIDin, const wxString & sMenuName,
            const wxString & sLabel, const wxString & sMethod,
            const wxString & sAcc,
            const wxString & sHlp);

        ~TBitmapMenu ();

        void ReAlign (TBitmapMenu * prev,  wxDC & dc);

        wxString GetBaseString();
        wxString GetOnString();
        wxString GetOnEnableString();
        wxString GetHelpString();
        wxString GetConCatString();
        wxString GetAccelString();

        wxString GetLabel();
        void SetLabel(const wxString & s) ;
        wxString GetMenuName();
        wxString GetIDString();

        wxString GetDeclarationText ()  ;
        wxString GetEnableDeclarationText();
        wxString GetEventTableText ()  ;
        wxString GetEventTableEnableText ();
        wxString GetBodyText ()  ;
        wxString GetEnableText ();
        wxString GetMenuText ()  ;
        wxString GetIDText ()  ;
        void GetMidPoint (int * xm, int * ym);

        TBitmapMenu * GetRoot ();
        
        void DrawBitMenu ( wxDC & dc, bool bSelected) ;
        bool Contains ( int xIn, int yIn );
//        bool IsSelected ()  ;
        bool IsSeparator () ;
        bool IsBase ();
        bool IsPopup ();

    private :

        wxString sActualText, sMyMenuname, sOnMethodName,  sID, sHelp, sAccel ;
//        caption, 
        bool bIsBase,  bIsSeparator, bIspopup ; //bSelected,
        int *x, *w ;
        int  y,  h ;
        TBitmapMenu * root ;

};                               // end of class TBitmapMenu
#endif
