//Default frame.h for wxHatch

#ifndef _frame_h
#define _frame_h



enum
{
    // menu IDs these two are needed by wxHatch 
    wxH_FILE = 1,
    wxH_TESTSHOW_DIALOG,
    wxH_TESTE_XIT,
    wxH_QUIT
};

class MyApp: public wxApp
{
public:
    virtual bool OnInit();
};



class MyFrame: public wxFrame
{
public:
    MyFrame(const wxString& title, const wxPoint& pos, const wxSize& size);

    
    
    void OnClose (wxCloseEvent& event);
    void OnTestShow_dialog (wxCommandEvent & event);
    void OnTestE_xit (wxCommandEvent & event);

    void InitToolBar(wxToolBar* toolBar); 
    DECLARE_EVENT_TABLE()
};

#endif
