//wxHatch CVS $Id: xpmedit.h,v 1.2 2002/05/10 15:49:31 biol75 Exp $
//Default frame.h for wxHatch

#ifndef _frame_h
#define _frame_h



enum
{
    // menu IDs these two are needed by wxHatch 
    wxH_FILE = 1,
    wxH_FILEOPEN,
    wxH_FILESAVE,
    wxH_FILESAVE__AS,
    wxH_FILEE_XIT,
    wxH_SELECTCOLOR,
    wxH_HELPABOUT,
    wxH_FILENEW_16,
    wxH_FILENEW_32,
    wxH_QUIT
};

class MyApp: public wxApp
{
public:
    virtual bool OnInit();
};



class MyFrame: public wxFrame
{
public:
    MyFrame(const wxString& title, const wxPoint& pos, const wxSize& size);

    MyCanvas * canvas ;
    
    wxBitmap myBitmap ; 
    wxString myFilename ; 
    wxColour myColour ; 
        
    void OnClose (wxCloseEvent& event);
    void OnFileOpen (wxCommandEvent & event);
    void OnFileSave (wxCommandEvent & event);
    void OnFileSave__As (wxCommandEvent & event);
    void OnFileE_xit (wxCommandEvent & event);
    void OnSelectColor (wxCommandEvent & event);
    void OnHelpAbout (wxCommandEvent & event);
    void OnFileNew_16 (wxCommandEvent & event);
    void OnFileNew_32 (wxCommandEvent & event);

    void DoNew (int i) ; 
    DECLARE_EVENT_TABLE()
};

#endif
