
//wxHatch CVS $Id: projdefs.h,v 1.34 2004/05/13 07:17:35 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//

#ifndef _projdefs_h
#define _projdefs_h


extern const wxString wxH_VersionString ;



enum projectstyle
{
    // these have to match with startdlg.cpp
    eTextStyle = 0,
    eImgStyle,
    eListStyle,
    eFrameOnly,
    eNewDialog
    
};
// menu items ids
enum
{
    wxH_QUIT = 100,
    wxH_NEW_PROJECT,
    wxH_NEW_TEXT_WINDOW,
    wxH_OPEN_TEXT_WINDOW,
    wxH_NEW_MENU_WINDOW,
    wxH_REOPEN,
    wxH_EDIT,
    wxH_SWITCH,
    wxH_CHILD_QUIT,
    wxH_PROJECT_QUIT,
    wxH_PROJECT_SAVE,
    wxH_PROJECT_COPY,
    wxH_FILE_BACKUP,

    wxH_FIND = 120,
    wxH_FINDAGAIN,
    wxH_MATCHBRACE,
    wxH_INDENTBRACE,
    wxH_REPLACE,
    wxH_REPLACEAGAIN,
    wxH_GOLINE,
    wxH_FINDMENU,
    wxH_FINDTREE,    
    wxH_FINDDLG,    
    wxH_FONT_SEL,
    wxH_HELP_SEL,
    wxH_EDITOR,
    wxH_IMAGE,
    wxH_COMPILER,
    wxH_PROJECTROOT,
    wxH_WXHATCHROOT,
    wxH_WXWINDIR,
    wxH_SETPATH,
    wxH_PRELOAD,
    wxH_AUTOTEXT,
    wxH_ADDAUTOTEXT,
    
    wxH_COMPILE = 150,
    wxH_CLEAN,
    wxH_COMLIB,
    wxH_RUN,
    wxH_DEBUG,
    wxH_CONFIGURE,
    wxH_REBUILD,
    wxH_NEXTERROR,

    wxH_TOOL_CONFIGURE,
    wxH_TOOL_ADD,
    
    wxH_BLANK = 160,
    wxH_ITEM,
    wxH_SEP,
    wxH_NEWPOPUP,
    wxH_RENAMEITEM,
    wxH_FILEMENU,
    wxH_FILEPRINTMENU,
    wxH_EDITMENU,
    wxH_HELPMENU,

    /*
    wxH_COLOURDIALOG =170,
    // ?? not used ??
    wxH_FONTDIALOG,
    wxH_PRINTDIALOG,
    wxH_FILEDIALOG,
    wxH_DIRDIALOG,
    wxH_TEXTENTRYDIALOG,
    wxH_MESSAGEDIALOG,
    wxH_SINGLECHOICEDIALOG,
    wxH_MULTIPLECHOICEDIALOG,
      */

    wxH_MOVEUP = 180,
    wxH_MOVEDOW,
    wxH_MOVEL,
    wxH_MOVER,
    wxH_ADDTOTOOLBAR,
    wxH_ADDMENUHELP,
    wxH_DELETE,
    wxH_GOBODY,
    wxH_GOID,
    wxH_GODEC,
    wxH_GOEVT,
    wxH_GOMNU,
    wxH_GOENABL,

    wxH_MOVE_MENU_L,
    wxH_MOVE_MENU_R,
    wxH_DEL_MENU,

    
    // toolbar
    wxH_TBMVERIGHT = 200,
    wxH_TBMVELEFT,
    wxH_TBDEL,
    wxH_TBSEP,
    wxH_TBCHANGE,
    wxH_TBEDIT,
    wxH_TBCHANGETEXT,
    wxH_TBGOENABL,
    wxH_TBGOBODY,
    wxH_TBGOCODE,

    wxH_GOFCONS = 220,                 // frame code
    wxH_GOFDES,
    wxH_GOFDEC,
    wxH_GOFSIZE,
    wxH_GOFCLOSE,
    wxH_GOFNOGUI,

    wxH_GOCCONS,                 // canvas code
    wxH_GOCDES,
    wxH_GOCDEC,
    wxH_GOONDRAW,
    wxH_GOLCLICK,                //mouse
    wxH_GOLCLICKUP,
    wxH_GORCLICK,
    wxH_GOLDBLCLICK,
    wxH_GOMSEMOVE,
    wxH_GOCNOGUI,

    wxH_CHANGE_ICON,
    wxH_EDIT_ICON,
    wxH_EDIT_IMAGE,

    wxH_CONTENTS,
    wxH_TUTORIAL,
    wxH_WXHREF,
    wxH_WXHTOOLS,
    wxH_REFERENCE,
    wxH_REFSEARCH,

    Minimal_Print,
    Minimal_Preview,
    Minimal_PageSetup,
    Minimal_PrintSetup,
    
    wxH_ABOUT,
    wxH_SUB,
    
    wxH_SURROUND_MIN = 350, 
    wxH_SURROUND_MAX = 390,
    
    wxH_MAX = 400,
    wxH_CTRL = 500,
    wxH_CTRL_MAX = 599,
    wxH_CTRL_UP, 
    wxH_CTRL_DOWN,
    wxH_CTRL_LEFT,
    wxH_CTRL_RIGHT,
    wxH_CTRL_DEL, 
    wxH_CTRL_RENAME, 

    wxH_CTRL_TAB_UP,
    wxH_CTRL_TAB_DOWN,
    wxH_SUB_MENU

};

class TextChild ;
class ListChild ;
class MyChild ;
class MyFrame ;
class MyCanvas ;

extern const wxString sBmp ;

const int del = 3 ;
const int iToolbarmax = 18 ;
const int icoMax = 32 ;

extern const wxString space ;
extern const wxString ampersand ;
extern const wxString underline ;
extern const wxString newline ;
extern const wxString doublecolon ;

extern const wxChar dot ;
extern const wxChar comma ;
extern const wxChar tilde ;
extern const wxChar c_underline ;
extern const wxChar c_asterisk ;


extern const wxString RegKey ;
extern const wxString sIconExt ;

extern const wxString sCodeDir ;

extern const wxString sPrgExt ;
extern const wxString sPrograms ;

#define wxhNORMALISE wxPATH_NORM_ALL & ~wxPATH_NORM_CASE


#endif

