//wxHatch CVS $Id: rebldlg.cpp,v 1.1 2004/04/07 07:44:06 biol75 Exp $

//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWindows Licence; commercial redistribution forbidden
//
// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "rebldlg.h"
// a default Dialog
BEGIN_EVENT_TABLE(rebldlg, wxDialog)

END_EVENT_TABLE()

rebldlg::rebldlg(wxFrame *parent, const wxString &title )
        : wxDialog(parent, -1, title, wxDefaultPosition, wxDefaultSize,
                   wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
    mainsizer = new wxBoxSizer( wxVERTICAL );
    
    m_StaticText = new wxStaticText(this, -1, wxT("static label"));
    m_StaticBoxSizer = new wxStaticBoxSizer(new wxStaticBox(this,-1,wxT("Choose one of...")), wxVERTICAL); 
    mainsizer -> Add(m_StaticText, 0, wxALL | wxEXPAND, 5);
    
    
    // add controls here to m_StaticBoxSizer
    
    Update = new wxRadioButton(this, -1, wxT("Recompile modified files only"));
    m_StaticBoxSizer -> Add(Update, 0, wxALL | wxEXPAND, 5);
    
    
    ReBuild = new wxRadioButton(this, -1, wxT("Rebuild all files"));
    m_StaticBoxSizer -> Add(ReBuild, 0, wxALL | wxEXPAND, 5);
    
    
    
    mainsizer -> Add(m_StaticBoxSizer, 0, wxALL | wxEXPAND, 5);
    

    mainsizer -> Add (CreateButtonSizer(  wxOK|wxCANCEL ), 0, wxCENTER|wxALL, 10 );
    SetSizer( mainsizer );      // use the sizer for layout

    mainsizer->SetSizeHints( this );   // set size hints to honour minimum size
}
