//wxHatch CVS $Id: textdlg.cpp,v 1.7 2004/03/20 09:36:16 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
//A wxHatch file Copyright Chris Elliott and the University of York 2001

#ifdef __GNUG__
#pragma implementation
#pragma interface
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include <wx/dialog.h>
#include <wx/button.h>
#include <wx/checkbox.h>
#include <wx/config.h>

#include "wxhcombo.h"
#include "textdlg.h"


BEGIN_EVENT_TABLE(MyTextDialog, wxDialog)

END_EVENT_TABLE()

// ----------------------------------------------------------------------------
// MyModalDialog
// ----------------------------------------------------------------------------

MyTextDialog::MyTextDialog(wxWindow *parent,
    const wxString & myName, const wxString & myCaption,
    const wxString & myText, long WXUNUSED(myStyle))
        : wxDialog(parent, -1, myCaption, wxDefaultPosition, wxDefaultSize,
            wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER )

{
    wxBoxSizer *topsizer = new wxBoxSizer( wxVERTICAL  );

    myComboBox   = new wxHistoryComboBox   ( this, -1, myText, wxDefaultPosition, wxDefaultSize,
        0, NULL, wxCB_DROPDOWN, wxDefaultValidator, myCaption, 8 );

    myStaticText = new wxStaticText ( (wxWindow *)this, -1, myName, wxDefaultPosition, wxDefaultSize);
    topsizer->Add(myStaticText, 1, wxEXPAND | wxALL, 10 ); //horiz stretch, border 10 all round

    topsizer->Add(myComboBox, 1, wxEXPAND | wxALL, 10 ); //horiz stretch, border 10 all round

    topsizer->Add(CreateButtonSizer( wxOK|wxCANCEL), 0, wxCENTER|wxALL, 10); 

    SetSizerAndFit( topsizer );        // actually set the sizer
    myComboBox -> SetSelection ( 0 ) ;
}





wxString MyTextDialog::GetValue ()
{
    return myComboBox->GetValue ();
}

wxString MyTextDialog::GetPath ()
{
    return GetValue ();
}



