//wxHatch CVS $Id: cfgdlg.h,v 1.4 2004/05/13 07:17:35 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
//A wxhatch file Copyright Chris Elliott and the University of York 2001

#ifndef _cfgdlg_h
#define _cfgdlg_h

enum {
    wxh_HELP = 3001, 
    wxh_EDIT, 
    wxh_ADD, 
    wxh_DELETE, 
    wxh_UP, 
    wxh_DOWN
} ;

// A custom modal dialog
class MyConfigDialog : public wxDialog
{
    public:
        MyConfigDialog(wxFrame *parent, const wxString & myName, const wxString & myCaption,
            const wxArrayString & myTexts,  long myStyle) ;
        void OnButton(wxCommandEvent& event);
        void OnUpdateButton  (wxUpdateUIEvent & event);
        wxArrayString GetValue ();
        int ShowModal () ;

    private:
        wxFrame * myParent ;
        wxListBox * myListBox ;
        wxStaticText * myStaticText ;
        int iLen;
        wxString sConfigPath;
        wxArrayString sTools ;
        DECLARE_EVENT_TABLE()
};
#endif
