/* //wxHatch CVS $Id: snipcode.cpp,v 1.14 2004/01/07 13:03:33 biol75 Exp $
/* this is a comment ; the line begins with /*
/* File of reusable code excerpts //wx starts, //end ends
/* starting line contains menu item, next unindented lines contain insertion point(s)  */
/* Disable: shows a word which will disable the menu item if present in the main code file

/*---------------------------------------------------------------------------*/
//wx &Accelerators
Disable:wxAcceleratorEntry
cpp:
Reset:
Find:SetMenuBar
    //accelerators (in addition to menu shortcuts)
    const int nEntries = 4 ;
    wxAcceleratorEntry entries[nEntries];
    entries[0].Set(wxACCEL_CTRL,  (int) 'N',   wxH_FILEOPEN);   //Ctrl+N
    entries[1].Set(wxACCEL_NORMAL,  WXK_F3,    wxH_FINDAGAIN ); //F3
    entries[2].Set(wxACCEL_CTRL,    WXK_F9,    wxH_RUN );       //Ctrl+F9
    entries[3].Set(wxACCEL_ALT,     WXK_F4,    wxH_QUIT );      //Alt+F4
    wxAcceleratorTable accel(nEntries, entries);
    SetAcceleratorTable(accel);
//end of wxAccelerator
/*---------------------------------------------------------------------------*/
//Separator
/*---------------------------------------------------------------------------*/

//wx &CmdLineParser
Disable:wxCmdLineEntryDesc
cpp:
#include <wx/cmdline.h>
Reset:
Find:SetTopWindow (frame);
    // test for command line;

    static const wxCmdLineEntryDesc cmdLineDesc[] =
    {

        { wxCMD_LINE_SWITCH, wxT("h"), wxT("help"),  wxT("show this message"), wxCMD_LINE_VAL_NONE, wxCMD_LINE_OPTION_HELP },
        { wxCMD_LINE_SWITCH, wxT("v"), wxT("verbose"),  wxT("be verbose")  },
        { wxCMD_LINE_OPTION, wxT("f"), wxT("file"),   wxT("open existing file") },
        { wxCMD_LINE_PARAM,  NULL, NULL, "input file", wxCMD_LINE_VAL_STRING, wxCMD_LINE_PARAM_OPTIONAL },
        { wxCMD_LINE_NONE }
    };

    wxCmdLineParser parser(cmdLineDesc, argc, argv);

    int iParser = parser.Parse() ;
    if (iParser > 0) parser.Usage();

    wxString strVal;
    // now test for command line options ....
    if (iParser == 0)
    {
        //choose one of these to handle the command line
        if ( parser.Found(wxT("f"), &strVal) )
            {
            //act on this file
            //frame->DoOpenFile(strVal);
            }
        if ( parser.Found(wxT("v")) )
            {
                //set verbose help
            }
        size_t iParams ;
        for (iParams=0; iParams < parser.GetParamCount(); iParams++)
            {
            /*
            strVal = parser.GetParam(iParams);
            frame->DoOpenFile(strVal);
            */
            }
    }

//end of wx &CmdLineParser
/*---------------------------------------------------------------------------*/
//wx SingleInstance Chec&ker
Disable:wxSingleInstanceChecker
#include <wx/snglinst.h>
h:
Reset:
Find:class MyApp
Find:public
    wxSingleInstanceChecker * m_checker ;
    int OnExit () ;
cpp:
Reset:
Find:MyApp::OnInit
Find:{
    m_checker = new wxSingleInstanceChecker(GetAppName());
    if ( m_checker->IsAnotherRunning() )
    {
        (void)wxMessageBox(wxT("Another instance of ") + GetAppName() + wxT(" appears to be running!\nOnly one copy allowed"), 
        GetAppName() + wxT(" Warning"));

        return FALSE;
    }
    
Append:    
int MyApp::OnExit()
{
    delete m_checker;
    return 0;
}
//end of SingleInstance Chec&ker
/*---------------------------------------------------------------------------*/
//wx &Do Drop Files
Disable:OnDropFiles
h:
Reset:
Find:DECLARE_EVENT_TABLE
Find:};


class DnDFile : public wxFileDropTarget
{
	public:
		DnDFile(MyFrame *pOwner) { m_pOwner = pOwner; }
		virtual bool OnDropFiles(wxCoord x, wxCoord y, const wxArrayString& filenames);
	private:
		MyFrame *m_pOwner;

};


cpp:
#include <wx/dnd.h>
Reset:
Find:SetMenuBar
    SetDropTarget(new DnDFile(this));
Append:
bool DnDFile::OnDropFiles(wxCoord, wxCoord, const wxArrayString& filenames)
{
    size_t nFiles = filenames.GetCount();
    wxString s;
    s.Printf( _T("%d files dropped"), nFiles);
    //m_pOwner->SetStatusText (s);

    for ( size_t n = 0; n < nFiles; n++ )
    {
    m_pOwner-> DoOpenFile (filenames[n]) ;
    }

    return TRUE; //just return FALSE if now is not a good time to accept the files
}
//end of Do Drop Files

//wx &Recent Files
Disable:wxFileHistory
h:
Reset:    
Find:MyFrame(
    wxFileHistory * lastFiles ;
    void OnMRUFile(wxCommandEvent& event) ;
cpp:
Reset:
#include <wx/config.h>
#include <wx/docview.h>
Find:SetMenuBar
    // needs a file menu to use !!
    wxConfigBase * pConfig = wxConfig::Get() ;
    lastFiles = new wxFileHistory (5) ;
    lastFiles -> UseMenu ( File_menu ) ;
    lastFiles -> Load (*pConfig);
    pConfig = NULL ;
Find:MyFrame::OnClose
Find:{
    // this needs to go after the ecision to close has been irrevocably taken
    // and could be transferred to ~MyFrame
    wxConfigBase * pConfig = wxConfig::Get() ;
    lastFiles->Save (*pConfig);
    delete lastFiles ;
    pConfig = NULL ;
Reset:
Find:MyFrame::OnFileSave(
Find:{
    // this needs to go where the file is definitely saved
    lastFiles -> AddFileToHistory (myFilename);
Reset:
Find:MyFrame::OnFileOpen(
Find:{
    // this needs to go where the file is definitely opened
    lastFiles -> AddFileToHistory (myFilename);

Append:
void MyFrame::OnMRUFile(wxCommandEvent& event)
{
    //Some compilers wreck this if we don't have a variable s declared
    wxString s ;
    int itmp = event.GetId()  - wxID_FILE1 ;
    s = lastFiles->GetHistoryFile(itmp);
    DoOpenFile(s) ;
}


Reset:
Find:BEGIN_EVENT_TABLE(MyFrame
        EVT_MENU_RANGE(wxID_FILE1, wxID_FILE9, MyFrame::OnMRUFile)
//end of wxMRU

/*---------------------------------------------------------------------------*/
//Separator
/*---------------------------------------------------------------------------*/


//wx &SplashScreen
Disable:wxSplashScreen
cpp:
#include <wx/file.h>
#include <wx/splash.h>
Reset:
Find:MyApp::OnInit
Find:{
    // wxSplashScreen - will be suppressed if a command line is passed to the app
    // specify the PNG format file filename as
    wxString sBmp = wxT("splash.png");
    ::wxInitAllImageHandlers ();
    if ( wxFile::Exists(sBmp) && (argc == 1) )
    {
        wxBitmap Mybitmap ( sBmp, wxBITMAP_TYPE_PNG );
        (void) new wxSplashScreen(Mybitmap, wxSPLASH_CENTRE_ON_SCREEN|wxSPLASH_TIMEOUT,
                                  2000, NULL, -1, wxDefaultPosition, wxDefaultSize,
                                  wxSIMPLE_BORDER|wxSTAY_ON_TOP);
        wxYield();
    }
//end of wx Splashscreen

/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
//Separator
/*---------------------------------------------------------------------------*/

//wx Status&Bar
Disable:CreateStatusBar
cpp:
Reset:
Find:SetMenuBar
    CreateStatusBar();
    //use SetStatusText(wxString) to set some text

//end of wx &StatusBar
/*---------------------------------------------------------------------------*/


//wx StatusBar 2 &Fields
Disable:CreateStatusBar
cpp:
Reset:
Find:SetMenuBar
    const int nMax = 2;
    wxStatusBar * pBar = CreateStatusBar(nMax);
    int widths [nMax] = {100,-1};  //-1 indicates that the field varies
    pBar -> SetStatusWidths (nMax, widths);

    //use SetStatusText(wxString, 1) to set some text

//end of wx &StatusBar
/*---------------------------------------------------------------------------*/
//Separator
/*---------------------------------------------------------------------------*/
//wx &Timer
Disable:wxTimer
cpp:
    MyTimer.Start( 1000 ) ; //1 second interval
h:
Reset:
Find:MyFrame(
    void OnTimer(wxTimerEvent& event);
    wxTimer MyTimer ;
cpp:
#include <wx/timer.h>
Reset:
Find:BEGIN_EVENT_TABLE(MyFrame
        EVT_TIMER(-1, MyFrame::OnTimer)
Find:SetMenuBar
    MyTimer.SetOwner(this);
Append:
void MyFrame::OnTimer(wxTimerEvent& event)
{
    // do whatever you want to do every timer event here

}

//end of wx&Timer
/*---------------------------------------------------------------------------*/
//Separator
/*---------------------------------------------------------------------------*/
//wx &Copy to Clipboard
#include <wx/clipbrd.h>


  // Write some text to the clipboard
  if (wxTheClipboard->Open())

  {
    // This data objects are held by the clipboard, 
    // so do not delete them in the app.
    wxTheClipboard->SetData( new wxTextDataObject("Some text") );
    //wxTheClipboard->SetData( new wxBitmapDataObject(const wxBitmap& bitmap) );
    wxTheClipboard->Close();
  }
//end of Copy to Clipboard
  
//wx &Read from Clipboard
  // Read some text
  if (wxTheClipboard->Open())
  {
    if (wxTheClipboard->IsSupported( wxDF_TEXT ))
    {
      wxTextDataObject data;
      wxTheClipboard->GetData( data );
      myString = data.GetText() ;
    }  
    wxTheClipboard->Close();
  }

//end of Read from Clipboard  

/*---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------*/
//Separator
/*wxList
/*New list 
/*header: class myListElement;  WX_DECLARE_LIST(MyListElement, MyListType); 
/*        add pointer to list as variable to frame
//wx New &List
Disable:MyList = new MyListType
Execute:211
h:
Reset:
Find:class MyApp
Find:};

class MyListElement 
    {
    public:
    //fill in variables and methods of myListElement here 
        //eg MyListElement () { } ;
    };
    
WX_DECLARE_LIST(MyListElement, MyListType);    

Find:class MyFrame
Find:MyFrame(
    MyListType * MyList ;

cpp:
Reset:
#include <wx/listimpl.cpp>    
Find:IMPLEMENT_APP
  WX_DEFINE_LIST(MyListType);

Find:BEGIN_EVENT_TABLE(MyFrame
Find:SetMenuBar
    MyList = new MyListType ;
Find:MyFrame::~MyFrame
Find:{
    MyList->DeleteContents(TRUE);
    delete MyList ;
    
//end of wx New &List
/* ------------------------------------------------------------   
//wx &Iterate List    
    MyListType::Node *node = MyList->GetFirst();
    while (node)
    {
        MyListElement * listElement = node->GetData();
        //do something with the element
        node = node->GetNext();
    }

//end of wx &Iterate List
/* ------------------------------------------------------------   
//wx &Append To List  
    MyListElement * newElement = new MyListElement (/*fill in constructor*/) ;
    MyList->Append (newElement); //or MyList->Append (searchkey, newElement);

//end of wx &Append To List
/*---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------*/
//Separator

//wx &Read from Registry
#include <wx/config.h>    
    // open registry
    wxConfigBase *pConfig = wxConfigBase::Get();
    //these return FALSE if the value was not found
    pConfig->SetPath(wxT("/Software/Vendor/") + wxTheApp->GetAppName()) ;
    pConfig->Read ("WinSize", &iArea, 0 ); //long int
    pConfig->Read ("afloat", &dDouble, 0.0); // double
    pConfig->Read ( "Save Directory", &aString );  //string
    delete wxConfigBase::Set((wxConfigBase *) NULL);
//end of wx &Open from Registry

    
//wx &Save to Registry
#include <wx/config.h>
    // open registry
    wxConfigBase *pConfig = wxConfigBase::Get();
    pConfig->SetPath(wxT("/Software/Vendor/") + wxTheApp->GetAppName()) ;
    pConfig->Write ("WinSize", (long) iArea ); //int
    pConfig->Write ("afloat", fFloat); // float
    pConfig->Write ( "Save Directory", SaveDir );  //string
    delete wxConfigBase::Set((wxConfigBase *) NULL);
//end of wx &Save in Registry

   
