/* //wxHatch CVS $Id: snipdlgs.cpp,v 1.13 2004/05/02 16:07:45 biol75 Exp $
/* Part of the wxHatch system. // Comments starting in first line should mark the start or end of sections
/* entries start at //my&Dialog where the & is the Alt key and //end of my&Dialog */
/* #include <wx/print.h> will add an include file */


//wx &OpenFile Dialog
    wxString myFilename ;
    wxFileDialog dialog(this, wxT("Open"), wxEmptyString, myFilename,
        wxT("Header files (*.h)|*.h|All files (*.*)|*.*"),
        wxOPEN); // for opening files

    if (dialog.ShowModal() == wxID_OK)
    {
        myFilename = dialog.GetPath() ;
        /*
        // code might continue
        textctrl -> LoadFile( myFilename );
        // or DoOpenFile( myFilename ) ;
        */
    }

//end of wx&FileDialog snippet
/*-----------------------------------------------------------------------------------------------*/
//wx &SaveFile Dialog

    wxFileDialog dialog(this, wxT("Save as"), wxEmptyString, myFilename,
        wxT("Header files (*.h)|*.h|All files (*.*)|*.*"),
        wxSAVE|wxOVERWRITE_PROMPT);

    if (dialog.ShowModal() == wxID_OK)
    {
        myFilename = dialog.GetPath() ;
        /*
        // code might continue, but delete the WXUNUSED from the lines above
        OnFileSave (event);
        */
    }

//end of wx&FileDialog snippet
/*-----------------------------------------------------------------------------------------------*/
    

//wx &Dir Dialog
    wxString myDir ;
    wxDirDialog MyDialog(this, wxT("Caption"), myDir);
    if (MyDialog.ShowModal() == wxID_OK)
    {
        myDir = MyDialog.GetPath() ;
    }
    
//end of wx&DirDialog snippet
    
//Separator
/*-----------------------------------------------------------------------------------------------*/
    
//wx &Print Dialog 
/*Only can print if we have a canvas on which we can have an OnDraw*/
Disable:~MyCanvas
#include <wx/print.h>
    wxPrintDialogData printDialogData(* m_printData);

    wxPrinter printer(& printDialogData);
    // pass in the name of the file eg myFilename
    MyPrintout printout(wxT("untitled printout"));
    printout.pc = canvas ;
    if (!printer.Print(this, &printout, TRUE))
    {
        if (wxPrinter::GetLastError() == wxPRINTER_ERROR)
            wxMessageBox(wxT("There was a problem printing.\nPerhaps your current printer is not set correctly?"), wxT("Printing"), wxOK);
        //else printing was cancelled
    }
    else
    {
        (*m_printData) = printer.GetPrintDialogData().GetPrintData();
    }    
Append:
bool MyPrintout::OnPrintPage(int page)
{
    wxDC *dc = GetDC();
    if (dc)
    {
        if (page == 1) DrawPageOne(dc);
        return true ;
    }
    else
        return FALSE;
}

bool MyPrintout::OnBeginDocument(int startPage, int endPage)
{
    if (!wxPrintout::OnBeginDocument(startPage, endPage))
        return FALSE;
    
    return TRUE;
}

void MyPrintout::GetPageInfo(int *minPage, int *maxPage, int *selPageFrom, int *selPageTo)
{
    *minPage = 1;
    *maxPage = 1;
    *selPageFrom = 1;
    *selPageTo = 1;
}

bool MyPrintout::HasPage(int pageNum)
{
    // return true if less than the max number of pages
    return (pageNum == 1 );
}

void MyPrintout::DrawPageOne(wxDC *dc)
{
    int wPaper, hPaper, hScreen, wScreen;
    dc -> GetSize(&wPaper, &hPaper);
    pc -> GetVirtualSize (&wScreen, &hScreen);
    double scalefactor = double(wPaper)/double(wScreen) ;
    if ( double(hPaper)/double(hScreen) < scalefactor ) scalefactor = double(hPaper)/double(hScreen) ;
    dc -> SetUserScale ( scalefactor, scalefactor );
    pc -> OnDraw (*dc);
    
}
Reset:
Find:SetMenuBar
    m_printData = new wxPrintData;
Execute:211
Find:MyFrame::~MyFrame
Find:{
    delete m_printData ;
h:
Reset:
Find:~MyFrame
    wxPrintData * m_printData;
Reset:
Find:DECLARE_EVENT_TABLE
Find:};
class MyPrintout: public wxPrintout
{
 public:
  MyCanvas * pc ;
  MyPrintout(const wxString &title = "My printout"):wxPrintout(title) {} ;
  bool OnPrintPage(int page);
  bool HasPage(int page);
  bool OnBeginDocument(int startPage, int endPage);
  void GetPageInfo(int *minPage, int *maxPage, int *selPageFrom, int *selPageTo);

  void DrawPageOne(wxDC *dc);
  //void DrawPageTwo(wxDC *dc);
};
cpp:
Reset:
Find:wxPRINTER_ERROR
//end of wx&PrintDialog snippet
/*-----------------------------------------------------------------------------------------------*/
//wx Print Pre&view
Disable:~wxPRINTER_ERROR
/*this can only be added after adding a Print Dialog*/
    // Pass two printout objects: for preview, and possible printing.
    // no need to delete these after use
    wxPrintDialogData printDialogData(* m_printData);
    MyPrintout * pPreviewPrintout = new MyPrintout /*(myfilename)*/;
    MyPrintout * pPrintPrintout = new MyPrintout /*(myfilename)*/ ;
    pPrintPrintout-> pc = pPreviewPrintout-> pc = canvas ;
    wxPrintPreview *preview = new wxPrintPreview(pPreviewPrintout, pPrintPrintout, & printDialogData);

    if (!preview->Ok())
    {
        delete preview;
        wxMessageBox("There was a problem previewing.\nPerhaps your current printer is not set correctly?", "Previewing", wxOK);
        return;
    }
    
    wxPreviewFrame *frame = new wxPreviewFrame(preview, this, "Demo Print Preview", wxPoint(100, 100), wxSize(600, 650));
    frame->Centre(wxBOTH);
    frame->Initialize();
    frame->Show(TRUE);

//end of wx&PrintPreview snippet
    
/*-----------------------------------------------------------------------------------------------*/
//wx Print Set&up 
Disable:~wxPRINTER_ERROR
#include <wx/printdlg.h>
    wxPrintDialogData printDialogData(* m_printData);
    wxPrintDialog printerDialog(this, & printDialogData);
    
    printerDialog.GetPrintDialogData().SetSetupDialog(TRUE);
    printerDialog.ShowModal();

    (*m_printData) = printerDialog.GetPrintDialogData().GetPrintData();
cpp:
//end of wx Print Set&up
    
/*-----------------------------------------------------------------------------------------------*/
//wx Pa&ge Setup 
/* assume we have at least a print dialog already
Disable:~wxPRINTER_ERROR
#include <wx/printdlg.h>

    (*m_pageSetupData) = * m_printData;

    wxPageSetupDialog pageSetupDialog(this, m_pageSetupData);
    pageSetupDialog.ShowModal();
    
    (*m_printData) = pageSetupDialog.GetPageSetupData().GetPrintData();
    (*m_pageSetupData) = pageSetupDialog.GetPageSetupData();

Reset:
Find:SetMenuBar
    m_pageSetupData = new wxPageSetupDialogData;    
Find:MyFrame::~MyFrame
Find:{
    delete m_pageSetupData ;    
h:
Reset:
Find:OnDraw
    wxPageSetupDialogData * m_pageSetupData ;
    
//end of wx Page Setup    
//Separator    
    
/*-----------------------------------------------------------------------------------------------*/

//wx &Colour Dialog
#include <wx/colordlg.h>
    
    // assign myColour to begin with; eg myColour = canvas -> GetBackgroundColour ();
    wxColour myColour ;
    wxColourData data;
    data.SetChooseFull(TRUE);
    for (int i = 0; i < 16; i++)
    {
    wxColour colour(i*16, i*16, i*16);
    data.SetCustomColour(i, colour);
    }
    
    data.SetColour ( myColour );    
    wxColourDialog dialog(this, &data);
    if (dialog.ShowModal() == wxID_OK) // OK was pressed, otherwise myColour is unchanged
    {
    wxColourData retData = dialog.GetColourData();
    myColour = retData.GetColour();
    }
    /*
    //code might then continue      
    canvas->SetBackgroundColour(myColour);
    canvas->Refresh();
    */
    
//end of wx&ColourDialog snippet
/*-----------------------------------------------------------------------------------------------*/ 
    

//wx &Font Dialog
    
#include <wx/fontdlg.h>
    
    // initalise this with a font and colour
    wxFont myFont  ;
    wxColour myColour  ;
    
    wxFontData data;
    data.SetInitialFont(myFont);
    data.SetColour(myColour);
      
    wxFontDialog dialog(this, data);
    if (dialog.ShowModal() == wxID_OK)
    {
    wxFontData retData = dialog.GetFontData();
    myFont = retData.GetChosenFont();
    myColour = retData.GetColour();     
    /*
    //code might then continue  
    
    canvas->SetFont (myFont);
    canvas->Clear();
    canvas->Refresh();
    */
    } 
//end of wxF&ontDialog snippet
/*-----------------------------------------------------------------------------------------------*/
    
//Separator
    
//wx &TextEntry Dialog
    wxString myText ;
    wxTextEntryDialog dialog(this,
        wxT("Please enter text"),
        wxT("Caption"),
        myText,
        wxOK | wxCANCEL);
    
    if (dialog.ShowModal() == wxID_OK)
    {
        myText = dialog.GetValue() ;
    /* //code might continue
        SetTitle (myText);
    */
    }
    
//end of wx&TextEntryDialog snippet

//wx &IntegerEntry Dialog
 {
    wxString s;
    s <<  in_int_value ;
    wxTextEntryDialog dialog(this,
        wxT("Please enter an integer number"),
        wxT("Caption"),
        s,
        wxOK | wxCANCEL);

    if (dialog.ShowModal() == wxID_OK)
    {
        //
        long out_int_value ;
        if  (!dialog.GetValue().ToLong (&out_int_value) )
        {
            (void)wxMessageBox( wxT("The text you entered could not be converted to a number\nPlease try again"),
                wxT("Caption"));
            return ;
        }
        //out_int_value now has number which was entered
    }
  }
    
//end of wx&IntegerEntry snippet

//wx &DoubleEntry Dialog
 {
    wxString s;
    s.Printf ("%.3g", in_dbl_value );
    wxTextEntryDialog dialog(this,
        wxT("Please enter a floating point number"),
        wxT("Caption"),
        s,
        wxOK | wxCANCEL);

    if (dialog.ShowModal() == wxID_OK)
    {
        //
        double out_dbl_value ;
        if  (!dialog.GetValue().ToDouble (&out_dbl_value) )
        {
            (void)wxMessageBox( wxT("The text you entered could not be converted to a number\nPlease try again"),
                wxT("Caption"));
            return ;
        }
        //out_dbl_value now has number which was entered
    }
  }
    
//end of wx&DoubleEntry snippet     
/*-----------------------------------------------------------------------------------------------*/

//Separator

//wx MessageBox &Question
    wxString sQuestion = wxT("Unsaved windows still open, close anyhow?") ;
    if ( wxMessageBox(sQuestion, wxT("Please confirm"),
                      wxICON_QUESTION | wxYES_NO) == wxNO )
          {
          // answer was no
          //event.Veto();
          //return ;
          }
       else
          {
          //answer was yes
          //event.Skip();
          }
//end of wxMessageBox snippet
/*-----------------------------------------------------------------------------------------------*/
//wx MessageBox O&k
    (void)wxMessageBox( wxT("My message here"), wxT("Caption"));
//end of wxMessageBox snippet
/*-----------------------------------------------------------------------------------------------*/
    
//Separator
//wx Pro&gressDialog
#include <wx/progdlg.h>
        wxProgressDialog * WPdialog = new wxProgressDialog (wxT("Loading..."), wxT("Please wait"));
        WPdialog->Update(0); 
//end of wx Pro&gressDialog snippet

//wx &Update ProgressDialog        
        WPdialog->Update((i*100)/iMax);
//end of wx Update Pro&gressDialog snippet

//wx &Delete ProgressDialog        
        delete WPdialog;
//end of wx Delete Pro&gressDialog snippet
//Separator
        
//wx &About
    
     wxString sTmp ;    
  #ifdef __WXMSW__
    sTmp = wxT("Usage: myprog.exe") ;
  #else
    sTmp = wxT("Usage: myprog");
  #endif
    (void)wxMessageBox(wxT("myprog\nAuthor: myname (c) date\n") + 
                       sTmp, wxT("About myprog"));
    

//end of wxhAbout snippet
/*-----------------------------------------------------------------------------------------------*/
    

//wx About with &Picture
#include <wx/fs_mem.h>
#include <wx/html/htmlwin.h>
#include <wx/statline.h>
#include <wx/image.h>

    ::wxInitAllImageHandlers();

    wxDialog dlg(this, -1, wxString(wxT("About")));
    wxBoxSizer *topsizer;
    wxHtmlWindow *html;
    topsizer = new wxBoxSizer(wxVERTICAL);
    html = new wxHtmlWindow(&dlg, -1, wxDefaultPosition, 
                            wxSize(280, 160), wxHW_SCROLLBAR_NEVER);
    html->SetBorders(0);
    html->SetPage(wxT("<HTML><BODY>About: my Prog") 
                  wxT("<P><CENTER><IMG SRC='about.png'></CENTER>") 
                  wxT("<P></BODY></HTML>") );
    html->SetSize(html->GetInternalRepresentation()->GetWidth(), 
                  html->GetInternalRepresentation()->GetHeight());
    topsizer->Add(html, 1, wxALL, 10);
    topsizer->Add(new wxStaticLine(&dlg, -1), 0,  wxEXPAND | wxLEFT | wxRIGHT, 10);
    topsizer->Add(new wxButton(&dlg, wxID_OK, "Ok"), 0, wxALL | wxALIGN_RIGHT, 15);
    dlg.SetSizer(topsizer);
    topsizer->SetSizeHints(&dlg);
    dlg.Centre();
    dlg.ShowModal();
    
//end of wx About with &Picture

//wx &Html Page viewer
#include <wx/fs_mem.h>
#include <wx/html/htmlwin.h>
#include <wx/statline.h>
#include <wx/image.h>

    ::wxInitAllImageHandlers();
    wxDialog dlg(this, -1, wxString(wxT("Contents")));
    wxBoxSizer *topsizer;
    wxHtmlWindow *html;
    topsizer = new wxBoxSizer(wxVERTICAL);
    html = new wxHtmlWindow(&dlg, -1, wxDefaultPosition, wxSize(280, 160));
    html->SetBorders(0);
    html->LoadPage(wxT("index.html"));
    topsizer->Add(html, 1, wxALL, 10);
    topsizer->Add(new wxStaticLine(&dlg, -1), 0,  wxEXPAND | wxLEFT | wxRIGHT, 10);
    topsizer->Add(new wxButton(&dlg, wxID_OK, "Close"), 0, wxALL | wxALIGN_RIGHT, 15);
    dlg.SetSizer(topsizer);
    topsizer->SetSizeHints(&dlg);
    dlg.Centre();
    dlg.ShowModal();
    
//end of wx &Html       
/*-----------------------------------------------------------------------------------------------*/
    
//Separator
    
//wx &SingleChoice Dialog 
    
    const wxString choices[] = { wxT("One"), wxT("Two"), wxT("Three"), wxT("Four"), wxT("Five") } ;
    int n = 5;
    
    wxSingleChoiceDialog dialog(this, wxT("This is a small sample\nA single-choice convenience dialog"),
        wxT("Please select a value"), n, (const wxString *)choices);
    
    dialog.SetSelection(2);

    if (dialog.ShowModal() == wxID_OK)
    {
        wxString myChoice = dialog.GetStringSelection();
    }
    
//end of wx&SingleChoiceDialog snippet
/*-----------------------------------------------------------------------------------------------*/
    

//wx &MultipleChoice Dialog 
    
    const wxString choices[] = { wxT("One"), wxT("Two"), wxT("Three"), wxT("Four"), wxT("Five") } ;
    int n = 5;
    
    wxArrayInt selections;
    size_t count = wxGetMultipleChoices(selections,
                                        wxT("This is a small sample \nA multi-choice convenience dialog"),
                                        wxT("Please select a value"),
                                        n, (const wxString *)choices,
                                        this);
    if ( count )
    {
        wxString msg;
        msg.Printf(wxT("You selected %u items:\n"), count);
        for ( size_t n = 0; n < count; n++ )
        {
            msg += wxString::Format(wxT("\t%u: %u (%s)\n"), n, selections[n],
                                    choices[selections[n]].c_str());
        }
        wxLogMessage(msg);
    }
    //else: cancelled or nothing selected
    
//end of wx&MultipleChoiceDialog snippet
/*-----------------------------------------------------------------------------------------------*/
    

    

