//wxHatch CVS $Id: canvas.cpp,v 1.3 2004/05/02 14:43:54 biol75 Exp $
//Default canvas.cpp for wxHatch

// For compilers that support precompilation, includes "wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

class MyFrame;

#include "canvas.h"
#include "xpmedit.h"


BEGIN_EVENT_TABLE(MyCanvas, wxScrolledWindow)
 
    EVT_MOTION(MyCanvas::OnMouseMove)
    EVT_LEFT_UP(MyCanvas::OnLeftUp)
END_EVENT_TABLE()

MyCanvas::MyCanvas(MyFrame* parent):
  wxScrolledWindow((wxWindow*)parent, -1)
{
    pFrame = parent ;
    SetBackgroundColour (wxColour (0,80,60));

}


void MyCanvas::OnDraw (wxDC& dc)
{
    dc.DrawBitmap (pFrame -> myBitmap, 0, 0 ); 
}

 

void MyCanvas::OnMouseMove (wxMouseEvent & event)
{
if (event.Dragging()) 
     { 
     wxClientDC dc(this); 
     PrepareDC(dc); 

     dc.SetPen(wxPen(pFrame->myColour,1,wxSOLID)); 
     dc.DrawPoint(event.GetX(), event.GetY()); 
     } 
}

 

void MyCanvas::OnLeftUp (wxMouseEvent & event)
{
      wxClientDC dc(this); 
    PrepareDC(dc); 

    wxMemoryDC temp_dc; 
    temp_dc.SelectObject(pFrame -> myBitmap); 
    temp_dc.Blit(0,0,pFrame -> myBitmap.GetWidth(), 
                     pFrame -> myBitmap.GetHeight(),&dc,0,0); 
}

 
