//wxHatch CVS $Id: lchild.h,v 1.5 2004/03/20 09:36:16 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
#ifndef _lchild_h
#define _lchild_h

class ListChild: public wxMDIChildFrame
{
    public:

        MyFrame *frame;
        wxListBox * ListBox;

        ListChild(wxMDIParentFrame *parent, const wxString& title, const wxPoint& pos, const wxSize& size, const long style);
        ~ListChild();
        
        bool SaveFile (const wxString & s);

        void OnActivate(wxActivateEvent& event);

        void OnRefresh(wxCommandEvent& event);
        void OnUpdateRefresh(wxUpdateUIEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnSize(wxSizeEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnListboxDClick(wxCommandEvent& event) ;
        void OnCopy (wxCommandEvent & event);

        bool DoGetError();
        
        DECLARE_EVENT_TABLE()
};
#endif
