//wxHatch CVS $Id: mytext.h,v 1.24 2004/05/13 07:17:35 biol75 Exp $

enum eDialogType
{
    IsNotDialog, IsDialogCode, IsDialogHeader, IsDialogInclude
};

class mywxTextCtrl : public  wxStyledTextCtrl

{
    public :
    mywxTextCtrl (wxWindow * parent, int id,// const wxString& title,
    const wxPoint& pos, const wxSize& size,
    const long style ) ;

    
    ~mywxTextCtrl();
    
    MyFrame * TopWin ;
    TextChild * ParWin ;
    wxMenu * myTextPopupMenu ;
    wxString sFileName ;
    wxDateTime modTime ;
     
    bool isUpdated, isDlgUpDated, bNeedsEnableCheck, bHasNewClass ;
    eDialogType eDlgType ;
    
    void DoRightMouseClick (wxPoint pt);
    
    void OnChar(wxKeyEvent& event);
    void OnKeyDown(wxKeyEvent& event);

void OnRightMouseClick (wxMouseEvent & event) { DoRightMouseClick(event.GetPosition()); };
    void OnPopupMenuEvent(wxCommandEvent & event) ;
    
    // calls to make wxStyledtextctrl like wxTextCtrl
    
long XYToPosition (long x, long y) { return x + PositionFromLine(y); };
void SetInsertionPoint (int iPos) {GotoPos(iPos); return; };
void SetInsertionPointEnd () {SetInsertionPoint (GetLength()); return ;};
wxString GetLineText (int iLine) {return GetLine(iLine);};
    int FindTxt(int minPos, int maxPos, const wxString& text, int flags=0) ;
    
    
    void ReIndent ( int iStart, int iLong );
    
    void WriteText (const wxString & sFile) ;
    
void GoStartOfCurrentLine() { GotoLine (LineFromPosition(GetInsertionPoint())) ; };
void ShowPosition (int iPos) { GotoPos(iPos); return ; };
bool CanCopy() { return GetSelectionEnd() != GetSelectionStart() ; } ;
    
    void OnCut (wxCommandEvent & event );
    void Clear ();
    void OnCopy (wxCommandEvent & event );
    void OnPaste (wxCommandEvent & event );
    void OnRedo (wxCommandEvent & event );
    void OnUndo (wxCommandEvent & event );
    void OnModifySelection(const wxString & sBefore, const wxString & sAfter);
    
int  GetLineLength (int iLine) {return LineLength(iLine); } ;
void GetSelection(long * iStart, long *iEnd) { wxStyledTextCtrl::GetSelection ( (int *)iStart, (int *) iEnd ); return ; } ;
wxString GetValue () {return GetText(); };
int  GetInsertionPoint () { return GetCurrentPos() ; } ;
bool IsModified () { return GetModify(); } ;
long GetNumberOfLines () { return LineFromPosition(GetLength()) ;};
    
    // these in the CPP file
    bool LoadFile ( const wxString & sFile );
    bool SaveFile ( const wxString & sFile );
    const wxString RenderAsHTML ();
    bool IsAlteredOnDisk ( ) ;
    void SetModTime ();
    void DoAnymenuOpen ();
    
    wxString GetCurrentWord (bool bSelectIt);
    
    
    
    void Remove (int iStart, int iEnd);
    bool PositionToXY (long pos, long *x, long * y);

    TextChild * GetDialogCodeFile();
    void CheckForDialog () ;
    void DoStyle(const wxString & sFile);
    
    DECLARE_EVENT_TABLE()
    
    
} ;
