//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
//A wxhatch file Copyright Chris Elliott and the University of York 2001

#ifndef _pathcfg_h
#define _pathcfg_h

#define iThisSession -2
#define iAlwaysReuse -1

enum 
{
    del_ButtonId,
    new_ButtonId,
    always_check_id,
    this_check_id,
    listbox_id
};


// A custom modal dialog
class pathcfg : public wxDialog
{
    public:
    pathcfg(wxFrame *parent, const wxArrayString & as, const wxArrayInt & iState, int iCompiler, const wxString & sCompiler);
    
    void new_Button_SetLabel(const wxString& label) 
        { new_Button -> SetLabel ( label ) ; } ; 
    void del_Button_SetLabel(const wxString& label) 
        { del_Button -> SetLabel ( label ) ; } ; 
    
    void reuse_StaticText_SetLabel(const wxString& label)
        { reuse_StaticText -> SetLabel ( label ) ; } ; 
    
    void all_RadioButton_SetValue(const bool value)
        { all_RadioButton -> SetValue ( value ) ; } ; 
    bool all_RadioButton_GetValue() 
        { return all_RadioButton -> GetValue()  ; } ; 
    void this_RadioButton_SetValue(const bool value)
        { this_RadioButton -> SetValue ( value ) ; } ; 
    bool this_RadioButton_GetValue() 
        { return this_RadioButton -> GetValue()  ; } ; 
    void neveragain_RadioButton_SetValue(const bool value)
        { neveragain_RadioButton -> SetValue ( value ) ; } ; 
    bool neveragain_RadioButton_GetValue() 
        { return neveragain_RadioButton -> GetValue()  ; } ; 
    
    wxListBox * pListBox ;
    wxArrayInt iReuse ;
    private:
    wxRadioButton * neveragain_RadioButton;
    wxRadioButton * this_RadioButton;
    wxRadioButton * all_RadioButton;
    wxStaticText * reuse_StaticText;
    wxBoxSizer * check_BoxSizer;
    
    void Ondel_ButtonEvent ( wxCommandEvent & event );
    wxButton * del_Button;
    void Onnew_ButtonEvent ( wxCommandEvent & event );
    void OnListbox ( wxCommandEvent & event );
    void DoListbox (int iSel) ;
    void OnChangeReuseBox ( wxCommandEvent & event );
    
    wxButton * new_Button;
    wxBoxSizer * buttsizer;
    wxStaticLine * horiz_line;
    wxBoxSizer *mainsizer ;
    
    
    int iCompilerIndex ;
    
    DECLARE_EVENT_TABLE()
};
#endif
