//wxHatch CVS $Id: raddlg.cpp,v 1.7 2004/03/20 09:36:16 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//

#ifdef __GNUG__
#pragma implementation
#pragma interface
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include <wx/dialog.h>
#include <wx/button.h>
#include <wx/checkbox.h>

#include "raddlg.h"
BEGIN_EVENT_TABLE(MyRadioDialog, wxDialog)

END_EVENT_TABLE()

// ----------------------------------------------------------------------------
// MyModalDialog
// ----------------------------------------------------------------------------

MyRadioDialog::MyRadioDialog(wxWindow *parent, long i, wxArrayString texts) 
: wxDialog(parent, -1, wxString(wxT("Choose one of these...")), wxDefaultPosition, wxDefaultSize,
wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER )

{
    wxBoxSizer *topsizer = new wxBoxSizer( wxVERTICAL );
    wxString * sTexts = texts.GetStringArray() ;
    myRadioBox = new wxRadioBox (this,  -1,  wxT("Please select..."), wxDefaultPosition,
        wxDefaultSize, texts.GetCount(), sTexts,
        1, wxRA_SPECIFY_COLS );
    delete [] sTexts ;    

    if (i>0) myRadioBox -> SetSelection (i);

    topsizer->Add(myRadioBox, 1, wxEXPAND | wxALL, 10 ); //horiz stretch, border 10 all round

    topsizer->Add(CreateButtonSizer( wxOK|wxCANCEL), 0, wxCENTER|wxALL, 10); 

    SetSizerAndFit( topsizer );        // actually set the sizer
}


int MyRadioDialog::GetValue()
{
    return myRadioBox -> GetSelection ();
}
