//wxHatch CVS $Id: srdlg.h,v 1.5 2004/03/20 09:36:16 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
//A wxhatch file Copyright Chris Elliott and the University of York 2001

#ifndef _srdlg_h
#define _srdlg_h

class SRData
{
    public:
    wxString sF, sR;
    bool bFS, bCS, bSR ;

    SRData () {} ;
    SRData ( const wxString & sFind, const wxString & sReplace, bool bShowReplace, bool bFromStart, bool bCaseSensitive )
    { sF = sFind ; sR = sReplace; bSR = bShowReplace; bFS = bFromStart;  bCS = bCaseSensitive; }
    SRData ( const SRData & SRD )
    { sF = SRD.sF ; sR = SRD.sR ; bSR = SRD.bSR; bFS = SRD.bFS;  bCS = SRD.bCS; }
    
};

// A custom modal dialog
class MySearchReplaceDialog : public wxDialog
{
    public:
        MySearchReplaceDialog(wxWindow *parent, const SRData & SRD,  long myStyle) ;
 
        SRData GetValue ();


    private:

        wxHistoryComboBox * mySearchComboBox ;
        wxHistoryComboBox * myReplaceComboBox ;
        wxCheckBox * myFromStartCheckBox ;
        wxCheckBox * myCaseSensitiveCheckBox ;
        wxStaticText * myStaticText ;
        int iLen;
        SRData myResult ;
//        wxString boxName;
        DECLARE_EVENT_TABLE()
};
#endif
