//wxHatch CVS $Id: tchild.h,v 1.8 2004/04/27 07:51:27 biol75 Exp $
//part of the wxhatch project; copyright Chris Elliott
//and the University of York 2001
//NO WARRANTY
//Licenced under wxWidgets Licence; commercail redisrtibution forbidden
//
#ifndef _tchild_h
#define _tchild_h

class TextChild: public wxMDIChildFrame
{
    public:

        MyFrame *frame;
        wxStatusBar * sBar;
        mywxTextCtrl * textctrl;
        TextChild * alternateWin ;
   
        wxString filename, sStatusText ;
        bool bIsPartOfProject ;
        TextChild(wxMDIParentFrame *parent, const wxString& title, const wxPoint& pos, const wxSize& size, const long style);
        ~TextChild();

        void OnActivate(wxActivateEvent& event);

        void OnRefresh(wxCommandEvent& event);
        void OnUpdateRefresh(wxUpdateUIEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnSize(wxSizeEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnIdle (wxIdleEvent & event);
        
        void DoShowTextPosition () ;
        bool SaveFile (const wxString & sFile);
        
        wxString GetLineText(int i);


        DECLARE_EVENT_TABLE()
};
#endif
